import java.awt.*;
import java.io.*;

public class Ball implements Serializable
{
    private double x = 0.0;
    private double y = 0.0;
    private double radius = 0.0;    
    private Color color = new Color(0.0f, 0.0f, 0.0f);
    
    public Ball(double x, double y, double radius, double r, double g, double b)
    {
        this.x = x;
        this.y = y;
        this.radius = radius;
        color = new Color((float) r, (float) g, (float) b);
    }
    
    public double getX()
    {
        return x;
    }

    public double getY()
    {
        return y;
    }
    
    public double getRadius()
    {
        return radius;
    }
    
    public Color getColor()
    {
        return color;
    }
    
    public String toString()
    {
        return String.format("(%.2f, %.2f) r=%.2f c=%s", x, y, radius, color);
    }

}
