import java.net.MalformedURLException;
import java.rmi.*;

public class MyRemoteClient
{
    public static void main(String [] args)
    {
        try
        {
            MyRemote service = (MyRemote) Naming.lookup("rmi://127.0.0.1/RemoteHello");
//            MyRemote service = (MyRemote) Naming.lookup("rmi://keithv.com/RemoteHello");
                      
            String s = service.sayHello();
            System.out.println(s);
            
            int answer = service.getTheAnswer();
            System.out.println(answer);
            
            Ball b = service.getRandomBall();
            System.out.println(b);
            
        }
        catch (RemoteException e)
        {
            e.printStackTrace();
        }
        catch (MalformedURLException e)
        {
            e.printStackTrace();
        }
        catch (NotBoundException e)
        {
            e.printStackTrace();
        }
    }
}
