
import java.rmi.*;

public class GumballMachineTestDrive {
 
	public static void main(String[] args) {
		GumballMachineRemote gumballMachine = null;
		int count;

		if (args.length < 2) {
			System.out.println("GumballMachine <name> <inventory>");
 			System.exit(1);
		}

		try {
			count = Integer.parseInt(args[1]);

			gumballMachine = new GumballMachine(args[0], count);
			
			// HFDP code doesn't work
			//Naming.rebind("//" + args[0] + "/gumballmachine", gumballMachine);
			Naming.rebind(args[0], gumballMachine);
            
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
